Bug 1353573 (CVE-2016-6171) - CVE-2016-6171 knot: Improper restriction of zone size limit
Summary: CVE-2016-6171 knot: Improper restriction of zone size limit
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2016-6171
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20160704,reported=2...
Depends On: 1353574 1353575
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-07 13:18 UTC by Adam Mariš
Modified: 2019-06-08 21:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-07 13:27:53 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-07-07 13:18:32 UTC
It was found that knot does not implement reasonable restrictions for zone sizes. This allows an explicitly configured primary DNS server for a zone to crash a secondary DNS server, affecting service of other zones hosted on the same secondary server.

CVE request:

http://seclists.org/oss-sec/2016/q3/19

Upstream bug:

https://gitlab.labs.nic.cz/labs/knot/merge_requests/541

Comment 1 Adam Mariš 2016-07-07 13:18:53 UTC
Created knot tracking bugs for this issue:

Affects: fedora-all [bug 1353574]
Affects: epel-all [bug 1353575]

Comment 2 Fedora Update System 2016-08-19 19:53:16 UTC
knot-2.3.0-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2016-08-19 22:20:51 UTC
knot-2.3.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-08-27 10:40:09 UTC
knot-2.3.0-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.